EUCA-BUNDLE-INSTANCE(1)

NAME
euca-bundle-instance - Bundle an S3-backed Windows instance

SYNOPSIS
euca-bundle-instance -b BUCKET -p PREFIX [-o KEY-ID] [-c POLICY]

[-s SIGNATURE] [-w KEY] [-x HOURS]
    [--show-empty-fields] [-U URL] [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] INSTANCE

DESCRIPTION
Bundle an S3-backed Windows instance

  positional arguments:

INSTANCE
    ID of the instance to bundle (required)

  optional arguments:

-b BUCKET, --bucket BUCKET
    bucket in which to store the new machine image (required)

-p PREFIX, --prefix PREFIX
    beginning of the machine image bundle name (required)

-o KEY-ID, --owner-akid KEY-ID, --user-access-key KEY-ID
    bucket owner's access key ID (required if not specified in configuration)

-c POLICY, --policy POLICY
    Base64-encoded upload policy that allows the server to upload a bundle on your behalf. If unused, a secret key is required.

-s SIGNATURE, --policy-signature SIGNATURE
    signature of the Base64-encoded upload policy. If unused, a secret key is required.

-w KEY, --owner-sak KEY, --user-secret-key KEY
    bucket owner's secret access key, used to sign upload policies. This is required unless both -c and -s are used or if a secret key is specified in a configuration file.

-x HOURS, --expires HOURS
    generated upload policy expiration time (default: 24)

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit